KNOWLEDGE BASE

Fehler ""Tableau Desktop.pkg" can't be opened because Apple cannot check it for malicious software" bei der Installation auf macOS Catalina 10.15


Veröffentlicht: 21 Aug 2019
Zuletzt geändert am: 31 Oct 2019

Problem

Beim Installieren von Tableau-Produkten auf macOS Catalina 10.15, tritt ein Fehler ähnlich dem Folgendem auf:
"Tableau Desktop.pkg" kann nicht geöffnet werden, da Apple es nicht auf schädliche Software untersuchen kann.Diese Software muss geupdated werden.Kontaktieren Sie den Entwickler für weitere Informationen."
Vom Benutzer hinzugefügtes Bild

Umgebung

  • macOS Catalina 10.15
  • Tableau Desktop 2019.2.1, 2019.1.5, 2018.3.8, 2018.2.11, 2018.1.14, 10.5.17, 10.4.18, 10.3.22, 10.2.22 und neuere Versionen
  • Tableau Prep Builder 2019.2.2 und neuere Versionen
  • Tableau Reader und Tableau Public Versionen, die nach dem 1. Juni 2019 herausgegeben wurden

Lösung

Option 1: Geben Sie als Nutzer mit Administratorrechten der Software die Erlaubnis, um ausgeführt zu werden.

  1. Versuchen Sie das gewünschte Tableau-Produkt zu installieren.
  2. Klicken Sie auf OK, um den Fehler wegzuklicken.
  3. Navigieren Sie zu Systemeinstellungen > Sicherheit & Datenschutz > Registerkarte "Allgemein".
  4. Im unteren Teil des Dialogfensters sehen Sie eine Mitteilung ähnlich der Folgenden:
     "Tableau Desktop.pkg" wurde blockiert, da es nicht von einem identifizierten Entwickler stammt.
  5. Klicken Sie auf den Knopf Trotzdem Öffnen. (Falls der "Trotzdem Öffnen" Knopf nicht angezeigt wird, stellen Sie sicher, dass Sie beim Dialog von Schritt 2 auf OK klicken.)
    Vom Benutzer hinzugefügtes Bild
  6. Das Installationprogramm wird erneut gestartet und zeigt dieselbe Warnung als zuvor an.
    Jetzt sehen Sie einen Öffnen und einen Abbrechen Knopf.
  7. Klicken Sie auf Öffnen und die Installation wird fortgesetzt.
Vom Benutzer hinzugefügtes Bild

Option 2.  Installieren Sie eine Version vor Juni 2019

Als Umgehung können Versionen von Tableau Software, die vor dem 1. Juni 2019 herausgegeben wurden, weiter auf macOS Catalina installiert werden. Einschließlich der folgenden Wartungsversionen:

Tableau Desktop: 2019.2.0, 2019.1.4, 2018.3.7, 2018.2.10, 2018.1.13. 10.5.16, 10.4.17, 10.3.21
Tableau Prep: 2019.2.1 und frühere Versionen
Tableau Reader: Tableau Reader 2019.2.0 
Tableau Desktop Public: Tableau Public Desktop 2019.2.0 

Installieren Sie eine dieser Versionen und verwenden Sie Hilfe > Auf Produktaktualisierungen prüfen, um die neueste Wartungsversion für diese Version zu installieren.Weitere Informationen und Zugang zu älteren Wartungsversionen von Tableau Produkten finden Sie unter Produktdownloads und Versionshinweise.

Ursache

Dieses Verhalten ist ein bekanntes Problem mit der ID 946418, das derzeit untersucht wird.
Apple hat die Sicherheitsanforderungen für Software erhöht, die auf macOS Catalina 10.15 installiert wird. 

 

Zusätzliche Informationen

 Fehler: "Das My Tableau Prep Repository ist entweder schreibgeschützt oder es konnte nicht gefunden werden" Beim Starten von Tableau Prep Builder auf Mac
Fehler "custactutil kann nicht geöffnet werden, da seine Integrität nicht verifiziert werden kann" auf macOS Catalina 10.15


Neuere Versionen von Tableau Produkten funktionieren auf macOS Catalina, falls Sie installiert wurden bevor der Mac auf Catalina upgegradet wurde. 

Apple Developer News



Über diesen Artikel diskutieren... Feedback-Forum
Hat dieser Artikel das Problem gelöst?